For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
  • Gift Processing
      • GETList Deposits
      • GETGet a Deposit
LogoLogo
Contact usLogin
Gift ProcessingDeposits

Get a Deposit

GET
/v1/deposits/:id
GET
/v1/deposits/:id
$curl https://api.givechariot.com/v1/deposits/deposit_01j8rs605a4gctmbm58d87mvsj \
> -H "Authorization: Bearer <token>"
1{
2 "id": "deposit_01j8rs605a4gctmbm58d87mvsj",
3 "payment_source_id": "payment_source_01j8rs605a4gctmbm58d87mvsj",
4 "status": "complete",
5 "transfer": {
6 "amount": 10000,
7 "currency": "USD",
8 "financial_account_id": "fa_01j8rs605a4gctmbm58d87mvsj",
9 "description": "Disbursement to nonprofit",
10 "inbound_account_transfer": {
11 "created_at": "2020-01-31T23:00:00Z"
12 },
13 "inbound_ach_transfer": {
14 "standard_entry_class_code": "WEB",
15 "company_entry_description": "GRANTPMT",
16 "originator_routing_number": "1234567890",
17 "originator_company_name": "Charity Good",
18 "trace_number": "1234567890",
19 "effective_date": "2020-01-31T23:00:00Z",
20 "status": "accepted"
21 },
22 "check_deposit": {
23 "auxiliary_on_us": "102",
24 "routing_number": "101050001",
25 "submitted_at": "2020-01-31T23:00:00Z",
26 "status": "deposited"
27 }
28 },
29 "created_at": "2020-01-31T23:59:59Z",
30 "updated_at": "2020-01-31T23:59:59Z",
31 "settled_at": "2020-01-31T23:59:59Z",
32 "returned_at": "2020-01-31T23:59:59Z",
33 "properties": [
34 {
35 "property_id": "property_01j8rs605a4gctmbm58d87mvsj",
36 "value": {
37 "type": "text",
38 "text_value": "string",
39 "enum_value_id": "string",
40 "user_value_id": "string",
41 "boolean_value": true,
42 "date_value": "2024-01-15T09:30:00Z",
43 "empty": true
44 }
45 }
46 ],
47 "bank_created_at": "2020-01-31T23:59:59Z"
48}
Get a deposit by its unique identifier.
Was this page helpful?
Previous

List Properties

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the deposit

Response

The deposit was retrieved
idstringRead-only
The unique identifier for this object.
payment_source_idstring
The unique identifier for the payment source that contains the money for the deposit.
statusenum
The status of the deposit.
Allowed values:
transferobject
A subhash containing information about the transfer associated with the deposit.
created_atstringformat: "date-time"
The date and time when the deposit was created.
updated_atstringformat: "date-time"
The date and time when the deposit was last updated.
settled_atstringformat: "date-time"
The date and time when the deposit was settled.
returned_atstringformat: "date-time"
The date and time when the deposit was returned.
propertieslist of objects
A list of properties assigned to the deposit.
bank_created_atstringformat: "date-time"
The date and time when the bank created the deposit.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error